# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`atop`](#atop): Main class that includes private classes (repo, install, config, service).

_Private Classes_

* `atop::config`: This class is called from the main class to configure the atop service.
* `atop::install`: This class is called from the main class to install atop.
* `atop::repo`: This class is called from the main class to add epel if desired.
* `atop::service`: This class is called from the main class to manage the atop service.

## Classes

### atop

Main class that includes private classes (repo, install, config, service).

#### Examples

##### 

```puppet
include atop
```

#### Parameters

The following parameters are available in the `atop` class.

##### `defaults_file`

Data type: `Stdlib::Unixpath`

Path to the atop defaults configuration file. Default value on RedHat: '/etc/sysconfig/atop'. Default value on Debian: '/etc/default/atop'.

##### `defaults_file_template`

Data type: `String`

Specifies the ERB template to use for the defaults file. Default value: 'atop/atop_defaults.erb'.
There are other operating system version specific defaults template depending on the version of atop installed.

##### `loggenerations`

Data type: `Integer`

Specifies the number of days of logfiles to keep. Default value: 28.

##### `loginterval`

Data type: `Integer`

Specifies the interval in seconds. Default value: 600.

##### `logopts`

Data type: `String`

Speficies the default options for the atop service. Default value: '-R'.

##### `manage_epel`

Data type: `Boolean`

Whether or not to manage epel on the system. Default value: false.

##### `manage_package`

Data type: `Boolean`

Whether or not to manage the installation of the atop package. Default value: true.

##### `manage_service_atop`

Data type: `Boolean`

Whether or not to manage the atop service. Default value: true.

##### `manage_service_atopacctd`

Data type: `Boolean`

Whether or not to manage the atopacctd service. Default value: true.

##### `package_ensure`

Data type: `String`

Whether to install the atop package, and what version to install. Default value: 'present'.
Values: 'present', 'latest', 'absent', or a specific version number.

##### `package_name`

Data type: `String`

Specifies the name of the atop package to manage. Default value: 'atop'.

##### `process_accting_package_ensure`

Data type: `String`

Whether to install the psacct (acct on Debian) package for process accounting and what version. Default value: 'present'.

##### `process_accting_package_manage`

Data type: `Boolean`

Whether or not to manage the process acounting package. Default value: true.

##### `process_accting_package_name`

Data type: `String`

Specifies the name of the process accounting package to manage. Default value on RedHat: 'psacct'. Default value on Debian: 'acct'.

##### `process_accting_service_ensure`

Data type: `String`

Whether the process accounting service should be running. Varies depending on whether or not atopacct need this running as well.

##### `process_accting_service_enable`

Data type: `Boolean`

Whether to enable the process accounting service at boot. Varies depending on whether or not atopacct need this running as well.

##### `process_accting_service_manage`

Data type: `Boolean`

Whether or not to manage the process accounting service. Default value: true.

##### `process_accting_service_name`

Data type: `String`

Specifies the name of the process accounting service. Varies depending on the operating system, but defaults to 'psacct'.

##### `service_atop_enable`

Data type: `Boolean`

Whether to enable the atop service at boot. Default value: true.

##### `service_atop_ensure`

Data type: `Enum['running', 'stopped']`

Whether the atop service should be running. Default value: 'running'.

##### `service_atop_name`

Data type: `String`

Specifies the name of the atop service. Default value: 'atop'.

##### `service_atopacctd_enable`

Data type: `Boolean`

Whether to enable the atopacctd daemon. Varies depending on the operating system.

##### `service_atopacctd_ensure`

Data type: `Enum['running', 'stopped']`

Whether the atopacctd service should be running. Varies depending on the operating system.

##### `service_atopacctd_name`

Data type: `String`

Specifies the name of the atopacctd service. Default value: 'atopacct'.

